SDL_TryLockRWLockForReading(3)

NAME
SDL_TryLockRWLockForReading - Try to lock a read/write lock _for reading_ without blocking.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_TryLockRWLockForReading(SDL_RWLock *rwlock);

DESCRIPTION
This works just like

SDL_LockRWLockForReading (), but if the rwlock is not available, then this function returns false immediately.

This technique is useful if you need access to a resource but don't want to wait for it, and will return to it to try again later.

Trying to lock for read-only access can succeed if other threads are holding read-only locks, as this won't prevent access.

This function returns true if passed a NULL rwlock.

FUNCTION PARAMETERS

rwlock
    the rwlock to try to lock.

RETURN VALUE
Returns true on success, false if the lock would block.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LockRWLockForReading(3), •(3), SDL_TryLockRWLockForWriting(3), •(3), SDL_UnlockRWLock(3)